import React, { Component } from "react";

import Button from "../button/button";
import Input from "../input";

export default class Form extends Component {
	submit = e => {
		e.preventDefault();

		this.props.onSubmitEvent();
	};

	render() {
		const { values, onChangeEvent } = this.props;

		return (
			<form onSubmit={this.submit}>
				<Input
					onChange={onChangeEvent}
					value={values.firstName}
					id="firstName"
					name="firstName"
					label="First Name"
				/>
				<Input
					onChange={onChangeEvent}
					value={values.lastName}
					id="lastName"
					name="lastName"
					label="Last Name"
				/>
				<Input onChange={onChangeEvent} value={values.age} id="age" type="number" name="age" label="Age" />
				<Input
					onChange={onChangeEvent}
					value={values.editable}
					id="editable"
					type="checkbox"
					name="editable"
					label="Editable"
				/>

				<Input onChange={onChangeEvent} value={values.hobby} id="hobby" name="hobby" label="Hobby" />

				<Button type="submit" text="Add" />
			</form>
		);
	}
}
