import React, { Component } from "react";

import Form from "../components/form";
import HOCcomponent from "../components/HOC/resize";

const list = [
	{
		id: 1,
		editable: true,
		firstName: "Tony",
		lastName: "Montana",
		age: 50,
		hobby: ["drugs", "guns"]
	}
];

class Main extends Component {
	state = {
		list: list,
		newItem: {
			editable: false,
			firstName: "",
			lastName: "",
			age: "",
			hobby: ""
		}
	};

	onChange = e => {
		const { name, value, checked, type } = e.target;

		this.setState(prevState => ({
			...prevState,
			newItem: {
				...prevState.newItem,
				[name]: type === "checkbox" ? checked : value
			}
		}));
	};

	onSubmit = () => console.log("submit");

	render() {
		const { list } = this.state;

		return (
			<>
				<div style={{ border: "1px solid #eee", textAlign: "center", padding: 10 }}>
					Now your screen size:
					<p>W = {this.props.w}</p>
					<p>H = {this.props.h}</p>
				</div>
				<div className="box">
					<div className="list">
						{list.map(el => (
							<div className="list__item" key={el.id}>
								<h4 className="list__item-title">{el.firstName}</h4>
								<p className="list__item-age">Age: {el.age}</p>
								<ul className="list__item-ul">
									{el.hobby.map(elem => (
										<li className="list__item-li" key={elem}>
											{elem}
										</li>
									))}
								</ul>
							</div>
						))}
					</div>

					<Form onChangeEvent={this.onChange} onSubmitEvent={this.onSubmit} values={this.state.newItem} />
				</div>
			</>
		);
	}
}

export default HOCcomponent(Main);
